# UpdatesFilter - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.updateshandlers / UpdatesFilter

# UpdatesFilter

(common) `interface UpdatesFilter` (source)

### Properties

(common)

#### allowedUpdates

`abstract val allowedUpdates: List<String>`

(common)

#### asUpdateReceiver

`abstract val asUpdateReceiver: UpdateReceiver<Update>`

### Inheritors

(common)

#### FlowsUpdatesFilter

`class FlowsUpdatesFilter : UpdatesFilter`

(common)

#### SimpleUpdatesFilter

`data class SimpleUpdatesFilter : UpdatesFilter`